﻿//DESCRIPTION:Ändert Zellenkonturenstärke von einem "Jetzt" in einen "Gleich"-Wert

main();

function main() {
	
	jetzt = 1;
	gleich = 0.25;
	
	var doc = app.activeDocument;
	var stories = doc.stories;
	for (var s = 0; s < stories.length; s++) {
		var tables = stories[s].tables;
		if (tables != undefined) {
			for (var t = 0; t < tables.length; t++) {
				var cells = tables[t].cells;
				for (var c = 0; c < cells.length; c++) {
					if (cells[c].topEdgeStrokeWeight == jetzt) {
						cells[c].topEdgeStrokeWeight = gleich;
					}
					if (cells[c].leftEdgeStrokeWeight == jetzt) {
						cells[c].leftEdgeStrokeWeight = gleich;
					}
					if (cells[c].bottomEdgeStrokeWeight == jetzt) {
						cells[c].bottomEdgeStrokeWeight = gleich;
					}
					if (cells[c].rightEdgeStrokeWeight == jetzt) {
						cells[c].rightEdgeStrokeWeight = gleich;
					}
				}
			}
		}
	}
}